# activepointsetsmart.cpp File Reference

Template File. More...

`#include "activepointsetsmart.h"`
`#include "valuenodelinkconnect.h"`
`#include "valuenodereplace.h"`
`#include "activepointset.h"`
`#include "activepointadd.h"`
`#include "valuedescconnect.h"`
`#include <synfigapp/canvasinterface.h>`
`#include <synfigapp/general.h>`

## Functions

| ACTION_INIT (Action::ActivepointSetSmart)
| ACTION_SET_NAME (Action::ActivepointSetSmart,"ActivepointSetSmart")
| ACTION_SET_LOCAL_NAME (Action::ActivepointSetSmart, N_("Set Activepoint (Smart)"))
| ACTION_SET_TASK (Action::ActivepointSetSmart,"set")
| ACTION_SET_CATEGORY (Action::ActivepointSetSmart, Action::CATEGORY_ACTIVEPOINT)
| ACTION_SET_PRIORITY (Action::ActivepointSetSmart, 0)
| ACTION_SET_VERSION (Action::ActivepointSetSmart,"0.0")
| ACTION_SET_CVS_ID (Action::ActivepointSetSmart,"$Id$")

## Detailed Description

Template File.

$Id$

## Function Documentation

ACTION_INIT | ( | Action::ActivepointSetSmart |  | ) |

ACTION_SET_NAME | ( | Action::ActivepointSetSmart | ,
|  | "ActivepointSetSmart" |  |
| ) |  |  |

ACTION_SET_LOCAL_NAME | ( | Action::ActivepointSetSmart | ,
|  | N_("Set Activepoint (Smart)") |  |
| ) |  |  |

ACTION_SET_TASK | ( | Action::ActivepointSetSmart | ,
|  | "set" |  |
| ) |  |  |

ACTION_SET_CATEGORY | ( | Action::ActivepointSetSmart | ,
|  | Action::CATEGORY_ACTIVEPOINT |  |
| ) |  |  |

ACTION_SET_PRIORITY | ( | Action::ActivepointSetSmart | ,
|  | 0 |  |
| ) |  |  |

ACTION_SET_VERSION | ( | Action::ActivepointSetSmart | ,
|  | "0.0" |  |
| ) |  |  |

ACTION_SET_CVS_ID | ( | Action::ActivepointSetSmart | ,
|  | "$Id$" |  |
| ) |  |  |